/*
 * 3D Engine 
 * light.h: 
 * Based on pikuma.com 3D software renderer in C
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 06/03/2021.
 */

#ifndef THREEDENGINE_SOURCE_INCLUDE_LIGHT_H
#define THREEDENGINE_SOURCE_INCLUDE_LIGHT_H

#include <vector.h>
#include <display.h>

/***********************************************************************************************************************
 * Data types
 **********************************************************************************************************************/
typedef struct light_t
{
    vec3_t direction;

} light_t;

/***********************************************************************************************************************
 * Prototypes
 **********************************************************************************************************************/
colour_t applyLight(colour_t c, double lightLevel);


#endif /* THREEDENGINE_SOURCE_INCLUDE_LIGHT_H */
